CW
PUT/app-api/v1/batches/classes/{classId}/handy-notes

Create or update a handy note

Parameters

NameInRequiredDescription
classIdpathYes
x-request-idheaderNoOptional correlation id. Generated when omitted.

Request Body

UpsertHandyNoteDtoobject
idnumber

Existing note ID for update

notestring

Handy note text (10–100 characters)

Required: note

Related Schemas

UpsertHandyNoteDto
idnumber

Existing note ID for update

notestring

Handy note text (10–100 characters)

Required: note

Code samples

Generated from the current environment and the request configured in the Try-it panel.

curl -X PUT 'https://app-api.crwilladmin.com/app-api/v1/batches/classes/{classId}/handy-notes' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'apptype: android' \
  -H 'appver: 1.0.0' \
  -H 'webver: 1.0.0' \
  -H 'portalver: 1.0.0' \
  -H 'x-request-id: 00000000-0000-4000-8000-000000000000' \
  -d '{
  "note": ""
}' \